%define debug_package %{nil}

Name:		partclone
Version:	0.2.90
Release:	1%{?dist}
Group:		System/Configuration/Other
URL:		http://partclone.sf.net
License:	GPLv2
Summary:	File System Clone Utilities
Source0:	http://downloads.sourceforge.net/project/partclone/stable/%{version}/%{name}-%{version}.tar.gz
Patch1:		%{name}-%{version}-patch-001
Patch2:		%{name}-%{version}-patch-002%{?dist}
BuildRequires:	e2fsprogs-devel
%if 0%{?fedora} >= 17
BuildRequires:	ntfs-3g-devel ntfs-3g
%endif
%if 0%{?fedora} == 16
BuildRequires:	/lib/libntfs-3g.so
%endif
%if 0%{?centos} == 5
BuildRequires:  fuse-ntfs-3g-devel
%else
BuildRequires:  ntfs-3g-devel
%endif
BuildRequires:	ncurses-devel
%if 0%{?centos} == 5
BuildRequires:  uuid-devel 
%else
BuildRequires:  libuuid-devel 
%endif
%if 0%{?centos} != 5
BuildRequires:	libvmfs-devel
%endif
BuildRequires:	libblkid-devel
BuildRequires:	automake

%description
Partclone provides utilities to back up and restore used-blocks of a partition
and it is designed for higher compatibility of the file system by using
existing library, e.g. e2fslibs is used to read and write the ext2 partition.

Authors:
--------
    Thomas Tsai <Thomas _at_ nchc org tw>
    Jazz Wang <jazz _at_ nchc org tw>
    http://partclone.sourceforge.net 
    http://partclone.nchc.org.tw

%prep
%setup -q 
%patch1 -p1
%patch2 -p1

%if 0
cat > %{_builddir}/%{name}-%{version}/find-requires << \EOF
#!/bin/sh
%{_rpmconfigdir}/find-requires $* | sed 's/\(libntfs-3g.so\)\(\.[0-9][0-9]*\)\(.*\)/\1\3/'
EOF
chmod +x %{_builddir}/%{name}-%{version}/find-requires
%define __find_requires %{_builddir}/%{name}-%{version}/find-requires

%define _use_internal_dependency_generator 0
%endif

%build
%configure \
	--enable-hfsp \
	--enable-fat \
	--enable-exfat \
	--enable-ntfs \
%if 0%{?centos} != 5
	--enable-vmfs \
	--enable-extfs \
%endif
	--enable-btrfs \
	--enable-minix \
	--enable-mtrace \
	--enable-fs-test
%{__make}

%install
%makeinstall
%find_lang %name

%files -f %{name}.lang
%doc AUTHORS ChangeLog README.md TODO
%doc %{_mandir}/man?/*
%{_sbindir}/*
%{_datadir}/%{name}/*

%changelog
* Fri Mar 24 2017 Lawrence R. Rogers <lrr@cert.org> 0.2.90-1
* Release 0.2.90-1
	2017-03-24  Thomas Tsai  <thomas@nchc.org.tw>
		0.2.90
		update malloc
		update malloc
	2017-02-02  Thomas Tsai  <thomas@nchc.org.tw>
		Merge branch 'release' of github.com:Thomas-Tsai/partclone into release
	2017-01-09  Thomas Tsai  <thomas@nchc.org.tw>
		Merge branch 'release' of github.com:Thomas-Tsai/partclone into release
	2016-11-06  Thomas Tsai  <thomas@nchc.org.tw>
		add pt_BR support
	2016-10-24  Thomas Tsai  <thomas@nchc.org.tw>
		update makefile
	2016-10-04  Thomas Tsai  <tlinux.tsai@gmail.com>
		Merge pull request #80 from rindeal/autoconf
		fix AC_ARG_ENABLE so that --disable-* options work as expected

		Merge pull request #80 from rindeal/autoconf
		fix AC_ARG_ENABLE so that --disable-* options work as expected
	2016-08-01  Thomas Tsai  <thomas@nchc.org.tw>
		accept patch from Budy Wuysang <nguik.gnuik _AT_ gmail.com> to fix compile issue on Cent OS 6.8 system
	2016-06-23  Thomas Tsai  <thomas@nchc.org.tw>
		release 0.2.89
		merge
		add xz comp for debian package
		release 0.2.89
		upgrade btrfs to 4.4.2 for btrfs issue
		accept patch from Andre Naujoks <nautsch2 at gmail.com> // Debian Bug report logs - #825990
	2016-06-22  Thomas Tsai  <thomas@nchc.org.tw>
		update btrfs to 4.2.2

* Fri Feb 19 2016 Lawrence R. Rogers <lrr@cert.org> 0.2.88-1
* Release 0.2.88-1
	2016-02-19  Thomas Tsai  <thomas@nchc.org.tw>
		build 0.2.88
		release 0.2.88
		try to add reversed area manually
	2016-02-03  Thomas Tsai  <thomas@nchc.org.tw>
		update po
	2016-02-02  Thomas Tsai  <thomas@nchc.org.tw>
		try to fix signed block_size issue, the second advisory from David Gnedt
	2016-01-13  Thomas Tsai  <thomas@nchc.org.tw>
		fix bitmap issue
	2016-01-12  Thomas Tsai  <thomas@nchc.org.tw>
		try to fix fat issue
	2016-01-05  Thomas Tsai  <thomas@nchc.org.tw>
		receive report "Security Vulnerability in Partclone from David Gnedt."
		and try to fix bitmap( set/clear/test bitmap out of boundary) overflow issue.
	2015-12-24  Thomas Tsai  <thomas@nchc.org.tw>
		release 0.2.87
		0.2.87 release ready
	2015-12-23  Thomas Tsai  <thomas@nchc.org.tw>
		merge and fix dev-to-dev ntfs raw file create issue
		fix ntfs raw restore issue
	2015-11-12  Thomas Tsai  <thomas@nchc.org.tw>
		Merge branch 'release' of github.com:Thomas-Tsai/partclone into release
		update mnt string to partclone_nilfs_mnt
		update nilfs to nilfs2 for all docs
		release 0.2.86
		release 0.2.86
		update README to README.md in all debian/docs
		release 0.2.86
		release 0.2.86
		release 0.2.86
		add language zh_CN, and ready to release 0.2.86
		Merge branch 'release' of github.com:Thomas-Tsai/partclone into release
		fix fat cluster count
	2015-11-09  Thomas Tsai  <thomas@nchc.org.tw>
		add `
		rename README.markdown README.md
		remove ``
	2015-11-09  Peter Dave Hello  <PeterDaveHello@users.noreply.github.com>
		Create zh_CN.po
		Update README.markdown
		Update and rename README to README.markdown
		Use markdown to be rich text!
	2015-11-09  Thomas Tsai  <thomas@nchc.org.tw>
		update nilfs mount and mkdir
		Merge branch 'release' of github.com:Thomas-Tsai/partclone into release
		update README
	2015-11-05  Thomas Tsai  <thomas@nchc.org.tw>
		release 0.2.85
		update version to 0.2.85
		Merge branch 'release' of github.com:Thomas-Tsai/partclone into release
		fix fat16 clone issue and add test for fat12, fat16 and fat32
	2015-10-13  Thomas Tsai  <thomas@nchc.org.tw>
		release 0.2.84
		update control files
		update version
		remove all version test in configure.ac
		update version.h
		update release script
	2015-10-12  Thomas Tsai  <thomas@nchc.org.tw>
		set version to 0.2.84 and add nilfs2 test
	2015-10-06  Thomas Tsai  <thomas@nchc.org.tw>
		add test for nilfs
	2015-10-05  Thomas Tsai  <thomas@nchc.org.tw>
		remove .deps
		add nilfs support
	2015-09-24  Thomas Tsai  <thomas@nchc.org.tw>
		Merge branch 'release' of https://github.com/Thomas-Tsai/partclone into release
		add xfs 4.2.0 part of source to partclone
		update release
		release 0.2.83
		fix release
		fix btrfs
	2015-09-23  Thomas Tsai  <thomas@nchc.org.tw>
		fix btrfs: disk bytenr larger than device size
	2015-09-19  Thomas Tsai  <thomas@nchc.org.tw>
		replace _row_ to _raw_ in all xml files
	2015-08-31  Thomas Tsai  <thomas@nchc.org.tw>
		update debian folder
	2015-08-25  Thomas Tsai  <thomas@nchc.org.tw>
		update release flow
	2015-08-24  Thomas Tsai  <thomas@nchc.org.tw>
		release 0.2.83
		xfs: update bitmap calculating time
		fix 4k and dirty bitmap issue for xfs
	2015-08-23  Thomas Tsai  <thomas@nchc.org.tw>
		update log_mesg
	2015-08-20  Thomas Tsai  <thomas@nchc.org.tw>
		update log message
		fix 4k and dirty partiiton issue
	2015-07-23  Thomas Tsai  <thomas@nchc.org.tw>
		0.2.81
	2015-07-23  ThomasTsai  <thomas@nchc.org.tw>
		changs ncurses update

* Mon Aug 17 2015 Lawrence R. Rogers <lrr@cert.org> 0.2.80-1
* Release 0.2.80-1
	2015-07-21  Thomas Tsai  <thomas@nchc.org.tw>
		fix calloc error

	2015-07-20  Thomas Tsai  <thomas@nchc.org.tw>
		test vmfs5 and ncursesw
		set version to 0.2.80 and fix some warnnings
	
	2015-07-17  Thomas Tsai  <thomas@nchc.org.tw>
		update vmfs5 and test double free issue
		Merge branch 'release' of https://github.com/Thomas-Tsai/partclone into release
		try to fix double free issus
	
	2015-07-01  Thomas Tsai  <thomas@nchc.org.tw>
		fix rules
		ready to release 0.2.79
		patch from DimStar77 and fix  missing includes
		fix vmfs
	
	2015-06-30  Thomas Tsai  <thomas@nchc.org.tw>
		try to fix vmfs5
	
	2015-05-15  Thomas Tsai  <thomas@nchc.org.tw>
		Merge branch 'release' of github.com:Thomas-Tsai/partclone into release
		accept patch from Georges to fix a bug report from Debian, about missed builds for
	
	2015-04-09  Thomas Tsai  <thomas@nchc.org.tw>
		ready to release 0.2.78
		set version to 0.2.78
		fix 16T partition issue
	
	2015-04-02  Thomas Tsai  <thomas@nchc.org.tw>
		fix hiuge filesystem issue
	
	2015-03-25  Thomas Tsai  <thomas@nchc.org.tw>
		update ChangeLog and version.h
		release 0.2.77
		remove some check that is duplicate and made error.
	
	2015-01-21  Thomas Tsai  <thomas@nchc.org.tw>
		fix char related issue for bad sectors by Chris Clayton
		Conflicts:
			docs/partclone.imager.8
			src/partclone.c
			src/version.h
	
	2015-01-16  Thomas Tsai  <thomas@nchc.org.tw>
		fix xfs and release(0.2.76) to test
		 * fix xfs clone issue while set size to backup but bigger then device size and not stop
	
	2014-12-30  Thomas Tsai  <thomas@nchc.org.tw>
		release 0.2.75
	
	2014-12-29  Thomas Tsai  <thomas@nchc.org.tw>
		merge 0.2.74
		test btrfs
		add source of btrfs
		update source of btrfs
		try to fix btrfs
	
	2014-11-05  Thomas Tsai  <thomas@nchc.org.tw>
		hide note: without note option
		update version script
		add --note option to fix issue #56 add fail-mbr/Makefile.am to pass prefix to new makefile which note from Fisiu (https://github.com/Thomas-Tsai/partclone/commit/cc5b6545bccd60f567d49944d7d9c36e0f4fc74b#commitcomment-8413428) fix issue #57 and use PKG_CHECK_MODULES to check version
	
	2014-09-04  Thomas Tsai  <thomas@nchc.org.tw>
		test about exfat and f2fs
	
	2014-09-03  Thomas Tsai  <thomas@nchc.org.tw>
		upgrade exfat to 1.1.0
	
	2014-09-02  Thomas Tsai  <thomas@nchc.org.tw>
		initial f2fs support
	
	2014-08-28  Thomas Tsai  <thomas@nchc.org.tw>
		update control
	
	2014-07-15  Thomas Tsai  <thomas@nchc.org.tw>
		update version to 0.2.72
	
	2014-07-09  Thomas Tsai  <thomas@nchc.org.tw>
		add package for debian jessie
		add package for debian wheezy
	
	2014-07-08  Thomas Tsai  <thomas@nchc.org.tw>
		fix configure.ac and add libblkid-dev check
	
	2014-07-07  Thomas Tsai  <thomas@nchc.org.tw>
		fix xfs

* Tue Apr 28 2015 Lawrence R. Rogers <lrr@cert.org> 0.2.71-4
* Release 0.2.71-4
	New libntfs.so for CentOS 7 and 6 and Fedora 20.
	All others - recompiled to keep the revision in sync

* Fri Apr 24 2015 Lawrence R. Rogers <lrr@cert.org> 0.2.71-3
* Release 0.2.71-3
	New libntfs.so for Fedora 21
	All others - recompiled to keep the revision in sync

* Sat Nov 15 2014 Lawrence R. Rogers <lrr@cert.org> 0.2.71-2
  New libntfs.so

* Tue Oct  7 2014 Lawrence R. Rogers <lrr@cert.org> 0.2.71-1
	fix configure.ac and add libblkid-dev check
	fix xfs
	merger btrfs to 3.14 and update makefile
	try to merge btrfs 3.14.1
	fix restore-to-raw option

* Mon Oct  6 2014 Lawrence R. Rogers <lrr@cert.org> 0.2.69-2
  Removed Obsoletes as it is wrong to do here.

* Mon Mar 17 2014 Lawrence R. Rogers <lrr@cert.org> 0.2.69-1
  See included Changelog

* Mon Mar 17 2014 Lawrence R. Rogers <lrr@cert.org> 0.2.48-5
  New libntfs.so

* Fri Sep 06 2013 Lawrence R. Rogers <lrr@cert.org> 0.2.48-4
  Obsoletes ntfs-3g for CentOS

* Wed May 1 2013 Lawrence R. Rogers <lrr@cert.org> 0.2.48-3
  Now uses latest libntfs-3g so which comes from fuse-ntfs-3g instead of ntfs-3g

* Thu Feb 21 2013 Lawrence R. Rogers <lrr@cert.org> 0.2.48-2
  Now uses latest libntfs-3g so

* Fri Jun 01 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 0.2.48-1mdv2011.0
+ Revision: 801781
- update to 0.2.48

* Mon Dec 19 2011 Dmitry Mikhirev <dmikhirev@mandriva.org> 0.2.38-1
+ Revision: 743700
- BR ncurses-devel added
- added BR libuuid-devel, smp build re-enabled
- disable smp build
- autoconf not needed
- update to 0.2.38

  + Jerome Martin <jmartin@mandriva.org>
    - Updated to 0.1.9

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Leonardo de Amaral Vidal <leonardoav@mandriva.com>
    - Spec package fix

* Mon Jul 07 2008 Leonardo de Amaral Vidal <leonardoav@mandriva.com> 0.0.6-1mdv2009.0
+ Revision: 232459
- partclone package built
- import partclone


* Thu Feb 21 2008 - Steven Shiau <steven _at_ nchc org tw> 0.0.6-3
- Bug fixed: clone.fat was not compiled.

* Thu Feb 21 2008 - Steven Shiau <steven _at_ nchc org tw> 0.0.6-1
- New upstream 0.0.6-1.

* Sat Feb 16 2008 - Steven Shiau <steven _at_ nchc org tw> 0.0.5-16
- New upstream 0.0.5-16.

* Mon Feb 04 2008 - Steven Shiau <steven _at_ nchc org tw> 0.0.5-15
- New upstream 0.0.5-15.

* Thu Jan 24 2008 - Steven Shiau <steven _at_ nchc org tw> 0.0.5-10
- New upstream 0.0.5-10.

* Fri Jan 04 2008 - Steven Shiau <steven _at_ nchc org tw> 0.0.5-1
- New upstream 0.0.5-1.

* Thu Jan 03 2008 - Steven Shiau <steven _at_ nchc org tw> 0.0.4-4
- Sync the version number with Debian package.
- Enable static linking.

* Mon Dec 31 2007 - Steven Shiau <steven _at_ nchc org tw> 0.0.1-2
- Some doc and debian rules were added by Thomas Tsai.

* Mon Dec 10 2007 - Steven Shiau <steven _at_ nchc org tw> 0.0.1-1
- Initial release for partclone.
